%define base_name       xml-light

Name:           ocaml-%{base_name}
Version:        2.2
Release:        %mkrel 24
Summary:        Minimal XML parser & printer for OCaml
URL:            http://tech.motion-twin.com/xmllight.html
Source:         http://tech.motion-twin.com/zip/%{base_name}.tar.bz2
Patch:          %{name}-2.2-fix-build.patch
# Modified upstream patch for Bug 7276 - CVE-2012-3514
Patch1:         %{name}-2.2-use-Map-instead-of-Hashtbl.patch
License:        LGPL
Group:          Development/OCaml
BuildRequires:  ocaml-compiler

%description
Xml-Light is a minimal XML parser & printer for OCaml. 
It provide functions to parse an XML document into an OCaml data structure, 
work with it, and print it back to an XML document. 
It support also DTD parsing and checking, and is entirely written in OCaml, 
hence it does not require additional C library.

%package devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q -n %{base_name}
%patch -p 1
%patch1 -p 1
chmod 644 README *.mli
perl -pi -e 's/\015$//' README

%build
make
make doc

if [ -f META ]; then exit 1; fi
cat > META <<EOF
version = "%{version}"
description = "Minimal XML parser & printer for OCaml"
archive(byte) = "xml-light.cma"
archive(native) = "xml-light.cmxa"
EOF

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_libdir}/ocaml/xml-light
make install INSTALLDIR=%{buildroot}%{_libdir}/ocaml/xml-light
cp META %{buildroot}%{_libdir}/ocaml/xml-light/

%files
%doc README
%dir %{_libdir}/ocaml/xml-light
%{_libdir}/ocaml/xml-light/*.cmi
%{_libdir}/ocaml/xml-light/*.cma
%{_libdir}/ocaml/xml-light/META

%files devel
%doc doc
%{_libdir}/ocaml/xml-light/*.a
%{_libdir}/ocaml/xml-light/*.cmx
%{_libdir}/ocaml/xml-light/*.cmxa
%{_libdir}/ocaml/xml-light/*.mli


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.2-24.mga4
+ Revision: 533912
- Mageia 4 Mass Rebuild

* Sat Sep 07 2013 blue_prawn <blue_prawn> 2.2-23.mga4
+ Revision: 475766
- rebuild for ocaml-4.01.0

* Sun Jan 13 2013 umeabot <umeabot> 2.2-22.mga3
+ Revision: 361707
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 2.2-21.mga3
+ Revision: 301688
- new rpm group for ocaml

* Sat Sep 01 2012 malo <malo> 2.2-20.mga3
+ Revision: 286900
- Upstream patch for CVE-2012-3514 (bug 7276) - use Map instead of Hashtbl

  + blue_prawn <blue_prawn>
    - just a test

* Sun Oct 02 2011 shlomif <shlomif> 2.2-19.mga2
+ Revision: 151105
- Rebuild for new OCaml - thanks to Malo.

* Sat Apr 30 2011 pterjan <pterjan> 2.2-18.mga1
+ Revision: 93943
- Bump release higher than Mandriva

* Mon Mar 07 2011 saispo <saispo> 2.2-1.mga1
+ Revision: 66122
- imported package ocaml-xml-light

